Skip to main content

Retrieve Invoices


The Invoicing API has two read operations: get the details of a single invoice by its ID, or list invoices filtered by count, order, and status.

Get One Invoice

Retrieve an invoice's details to check its current status and payment history. Retrieving an invoice's details requires the unique invoice number assigned when the invoice was created.

The {id} is the invoice number from the invoice creation response.

Endpoint

GET /invoicing/v2/invoices/{id}

GET /invoicing/v2/invoices/{id}

GET /invoicing/v2/invoices/{id}

Response Fields

The response includes these fields:

Response FieldDescription
customerInformationCustomer information, such as name and email.
invoiceHistoryArray of status changes with the date and time of each change.
invoiceInformationInvoice details including invoiceNumber, dueDate, allowPartialPayments, deliveryMode, and paymentLink (the direct URL to the invoice payment page).
orderInformationItemized amounts for billed goods and services.
statusInvoice status. Possible values: CANCELED (canceled), CREATED (created), DRAFT (drafted and not published), PAID (fully paid; customer notified), PARTIAL (partially paid), PENDING (fraud management is reviewing; accept or reject to transition to PAID or SENT; available only for merchants with fraud management enabled), SENT (delivered to customer).
submitTimeUtcDate and time the invoice was sent, in UTC.

Example

GET /invoicing/v2/invoices/2670
This endpoint requires no request body.
{  "_links": {    "self": {      "href": "/v2/invoices/2670",      "method": "GET"    },    "update": {      "href": "/v2/invoices/2670",      "method": "PUT"    },    "deliver": {      "href": "/v2/invoices/2670/delivery",      "method": "POST"    },    "cancel": {      "href": "/v2/invoices/2670/cancelation",      "method": "POST"    }  },  "id": "2670",  "submitTimeUtc": "2024-07-24T18:36:18.863175539Z",  "status": "SENT",  "customerInformation": {    "name": "Tanya Lee",    "email": "[email protected]"  },  "processingInformation": {    "requestPhone": false,    "requestShipping": false  },  "invoiceInformation": {    "invoiceNumber": "2670",    "dueDate": "2019-07-11",    "allowPartialPayments": false,    "paymentLink": "/ebc2/invoicing/payInvoice/W447tdnINi5t5wu6QA0KUE2HYWY2rQQ0zXL5b5z6M50w4Ea9FFlcYrEmp09pFlzl?version=v2.1",    "deliveryMode": "Email"  },  "orderInformation": {    "amountDetails": {      "totalAmount": 247.86,      "currency": "USD",      "balanceAmount": 247.86    },    "lineItems": [      {        "productSku": "P653727383",        "productName": "First line item's name",        "unitPrice": 12.05,        "quantity": 20,        "totalAmount": 247.86      }    ]  },  "invoiceHistory": [    {      "event": "SEND",      "date": "2024-07-24T18:35:23.320Z"    },    {      "event": "DRAFT",      "date": "2024-07-24T18:35:22.960Z"    }  ]}

Get a List of Invoices

You can retrieve a list of your invoices and optionally filter the results by number of invoices retrieved, order, and status.

To filter results, append query parameters to the endpoint using this format: ?name1=value&name2=value

Endpoint

GET /invoicing/v2/invoices

GET /invoicing/v2/invoices

GET /invoicing/v2/invoices

Query Parameters

These query parameters filter the results:

Query ParameterDescription
limitMaximum number of items to retrieve. Set to a whole number.
offsetZero-based page offset. Determines the starting position of the retrieved list. For example, offset=3 begins the list at the fourth invoice. Set to a whole number.
statusInvoice status filter. Possible values: CANCELED, CREATED, DRAFT, PAID, PARTIAL, PENDING (customer has initiated payment; invoice cannot be edited; remains pending during fraud review until you approve or reject it), SENT.

Example

GET /invoicing/v2/invoices?offset=0&limit=5
{  "_links": {    "self": {      "href": "/v2/invoices/?offset=0&limit=5",      "method": "GET"    },    "next": {      "href": "/v2/invoices/?offset=5&limit=5",      "method": "GET"    }  },  "submitTimeUtc": "2024-07-24T18:44:11.469054445Z",  "totalInvoices": 38449,  "invoices": [    {      "_links": {        "self": {          "href": "/v2/invoices/2670",          "method": "GET"        },        "update": {          "href": "/v2/invoices/2670",          "method": "PUT"        },        "deliver": {          "href": "/v2/invoices/2670/delivery",          "method": "POST"        },        "cancel": {          "href": "/v2/invoices/2670/cancelation",          "method": "POST"        }      },      "id": "2670",      "status": "SENT",      "customerInformation": {        "name": "Tanya Lee"      },      "invoiceInformation": {        "dueDate": "2019-07-11",        "paymentLink": "/ebc2/invoicing/payInvoice/W447tdnINi5t5wu6QA0KUE2HYWY2rQQ0zXL5b5z6M50w4Ea9FFlcYrEmp09pFlzl?version=v2.1"      },      "orderInformation": {        "amountDetails": {          "totalAmount": 247.86,          "currency": "USD"        }      }    },    {      "_links": {        "self": {          "href": "/v2/invoices/2669",          "method": "GET"        },        "update": {          "href": "/v2/invoices/2669",          "method": "PUT"        },        "deliver": {          "href": "/v2/invoices/2669/delivery",          "method": "POST"        },        "cancel": {          "href": "/v2/invoices/2669/cancelation",          "method": "POST"        }      },      "id": "2669",      "status": "DRAFT",      "customerInformation": {        "name": "Tanya Lee"      },      "invoiceInformation": {        "dueDate": "2019-07-11"      },      "orderInformation": {        "amountDetails": {          "totalAmount": 247.86,          "currency": "USD"        }      }    },    {      "_links": {        "self": {          "href": "/v2/invoices/2668",          "method": "GET"        },        "update": {          "href": "/v2/invoices/2668",          "method": "PUT"        },        "deliver": {          "href": "/v2/invoices/2668/delivery",          "method": "POST"        },        "cancel": {          "href": "/v2/invoices/2668/cancelation",          "method": "POST"        }      },      "id": "2668",      "status": "DRAFT",      "customerInformation": {        "name": "Tanya Lee"      },      "invoiceInformation": {        "dueDate": "2019-07-11"      },      "orderInformation": {        "amountDetails": {          "totalAmount": 2623.64,          "currency": "USD"        }      }    },    {      "_links": {        "self": {          "href": "/v2/invoices/2667",          "method": "GET"        },        "update": {          "href": "/v2/invoices/2667",          "method": "PUT"        },        "deliver": {          "href": "/v2/invoices/2667/delivery",          "method": "POST"        },        "cancel": {          "href": "/v2/invoices/2667/cancelation",          "method": "POST"        }      },      "id": "2667",      "status": "DRAFT",      "customerInformation": {        "name": "Tanya Lee"      },      "invoiceInformation": {        "dueDate": "2019-07-11"      },      "orderInformation": {        "amountDetails": {          "totalAmount": 2623.64,          "currency": "USD"        }      }    },    {      "_links": {        "self": {          "href": "/v2/invoices/2666",          "method": "GET"        },        "update": {          "href": "/v2/invoices/2666",          "method": "PUT"        },        "deliver": {          "href": "/v2/invoices/2666/delivery",          "method": "POST"        },        "cancel": {          "href": "/v2/invoices/2666/cancelation",          "method": "POST"        }      },      "id": "2666",      "status": "CREATED",      "customerInformation": {        "name": "Tanya Lee"      },      "invoiceInformation": {        "dueDate": "2019-07-11",        "paymentLink": "/ebc2/invoicing/payInvoice/i0wUKECHxctWAjRPKFgyEtZiSWxwgtZljBVSrxfFjbBVGgLpET8ROvOPdnhwCJTC?version=v2.1"      },      "orderInformation": {        "amountDetails": {          "totalAmount": 2623.64,          "currency": "USD"        }      }    }  ]}

Last published: September 29, 2026